@techreport{haveraaen19,
    author  = "Magne Haveraaen and Jaakko Järvi and Damian Rouson",
    title   = "Reflecting on Generics for Fortran",
    year    = "2019",
    institution = "J3",
    number   = "19-188",
    address = "https://j3-fortran.org/doc/year/19/19-188.pdf"
}
@techreport{generics22,
    author    = "J3 Generics Subgroup",
    title     = "Generics formal requirements",
    institution = "J3",
    number   = "22-120r5",
    year      = "2022",
    month    = "March",
    address = "https://j3-fortran.org/doc/year/22/22-120r5.txt"
}
@misc{asr,
    author    = "LFortran and Ondřej Čertík",
    title     = "ASR.asdl",
    howpublished ="\\https://gitlab.com/certik/lfortran/-/blob/haskell/grammar/ASR.asdl",
    institution = "LFortran",
}
@inproceedings{asdl,
  author      = "Daniel C. Wang and Andrew W. Appel and Jeffery L. Korn and Christopher S. Serra",
  publisher = "USENIX Association",
  title       = "The Zephyr Abstract Syntax Description Language",
  booktitle = "Conference on Domain-Specific Languages",
  year        = "1997",
  month    = "September",
  institution = "Princeton University",
  address = "Santa Barbara California"
}
